// packageD/mycomponent/coupon_store_item/coupon_store_item.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    datainfo: {
      type: null,
    },
    ind: {
      type: null,
    },
    integralname: {
      type: String
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},
  lifetimes: {
    attached() {
      let language = wx.getStorageSync("langIndex");
      this.setData({
        language: language.en,
      });
    },
  },
  /**
   * 组件的方法列表
   */
  methods: {
    claim(e) {
      let info = {};
      info.index = e.currentTarget.dataset.index;
      info.item = e.currentTarget.dataset.item;
      this.triggerEvent("claim", info);
    },

    showIntegralExchange (e) {
      let info = {};
      info.index = e.currentTarget.dataset.index;
      info.item = e.currentTarget.dataset.item;
      this.triggerEvent("showIntegralPopup", info);
    },    

  },
});
